/**
 *  Class TestPlayersDB
 *
 * A class that models the results of a golf tournament. Implemented with
 * PlayersDB object. Opens a tournament data file that includes a cut value 
 * and the list of player scores. Displays the overall results plus those 
 * players who made the cut
 * 
 * You must call the PlayersDB method to filter the list.
 *
 * @author Dominic Jonak, et al.
 * @Date 9/25/02
 * 
 * 15-200
 * Name:
 * Section:
 * andrew e-mail:
 */

import java.util.*;
import java.io.*;

public class TestPlayerDB 
{
    public static void main (String[] args) throws IOException, NumberFormatException 
    {
	// gets the file name
	Keyboard kb = new Keyboard();
	System.out.print("Enter the name of the file: ");
	String fileName = kb.readString();

	// opens the file
	FileInput inFile = new FileInput(fileName);

	// reads the cut value from the first line of the file
	String oneline = inFile.readLine();
	StringTokenizer  st = new  StringTokenizer(oneline, " ");
	int theCut = Integer.parseInt(st.nextToken());

	PlayersDB db = new PlayersDB(inFile);

	// displays every player and score in the tournament
	System.out.println("The players in the tournament: ");

	db.displayList();

	// removes every player that did not make the cut and displays
	// the list of remaining participants
	System.out.println();
	System.out.println("Players in the tournament who made the cut: ");

	// You must call the method in PlayersDB that removes every player 
	// that did not make the cut here

	
	db.displayList();
    }
}
